## gate.gui
Class AppearanceDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--gate.gui.AppearanceDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class AppearanceDialog
extends JDialog

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` `AppearanceDialog.ApplyAction`
`(package private) class` `AppearanceDialog.CancelAction`
`(package private) class` `AppearanceDialog.OKAction`

Inner classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.AWTTreeLock`

Field Summary
`(package private) JButton` `applyBtn`
`(package private) ButtonGroup` `bGroup`
`(package private) JButton` `cancelBtn`
`(package private) Font` `componentsFont`
`static String[]` `componentsKeys`
`(package private) JRadioButton` `componentsRBtn`
`(package private) String` `currentFont` Which font is being edited now.
`(package private) JFontChooser` `fontChooser`
`static String[]` `menuKeys`
`(package private) Font` `menusFont`
`(package private) JRadioButton` `menusRBtn`
`(package private) JButton` `okBtn`
`(package private) Font` `oldComponentsFont`
`(package private) Font` `oldMenusFont`
`(package private) Font` `oldTextComponentsFont`
`(package private) Component[]` `targets`
`(package private) Font` `textComponentsFont`
`static String[]` `textComponentsKeys`
`(package private) JRadioButton` `textComponentsRBtn`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, keepBlocking, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, dbg, focusMgr, inputContext, inputContextLock, OPENED, ownedWindowList, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component

`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AppearanceDialog(Dialog owner, String title, boolean modal, Component[] targets)`
`AppearanceDialog(Frame owner, String title, boolean modal, Component[] targets)`

Method Summary
`protected void` `init()`
`protected void` `initGuiComponents()`
`protected void` `initListeners()`
`protected void` `initLocalData()`
`static void` `main(String[] args)` Test code
`static void` `setComponentsFont(Font componentsFont)` Updates the Swing defaults table with the provided font to be used for various compoents that neither text or menu components
`static void` `setMenuComponentsFont(Font menuComponentsFont)` Updates the Swing defaults table with the provided font to be used for the menu components
`static void` `setTextComponentsFont(Font textComponentsFont)` Updates the Swing defaults table with the provided font to be used for the text components
`protected static void` `setUIDefaults(Object[] keys, Object value)`
`void` `show(Component[] targets)`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`<clinit>, addNotify, conditionalShow, constructComponentName, dispose, disposeImpl, getTitle, hide, hideAndDisposeHandler, initIDs, interruptBlocking, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window

`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, eventEnabled, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### menusRBtn

    JRadioButton menusRBtn

### componentsRBtn

    JRadioButton componentsRBtn

### textComponentsRBtn

    JRadioButton textComponentsRBtn

### fontChooser

    JFontChooser fontChooser

### okBtn

    JButton okBtn

### applyBtn

    JButton applyBtn

### cancelBtn

    JButton cancelBtn

### bGroup

    ButtonGroup bGroup

### menusFont

    Font menusFont

### componentsFont

    Font componentsFont

### textComponentsFont

    Font textComponentsFont

### oldMenusFont

    Font oldMenusFont

### oldComponentsFont

    Font oldComponentsFont

### oldTextComponentsFont

    Font oldTextComponentsFont

### currentFont

    String currentFont

  Which font is being edited now. Possible vlues: "menu", "text", "components".

### targets

    Component[] targets

### menuKeys

    public static String[] menuKeys

### componentsKeys

    public static String[] componentsKeys

### textComponentsKeys

    public static String[] textComponentsKeys

Constructor Detail

### AppearanceDialog

    public AppearanceDialog(Frame owner,
                            String title,
                            boolean modal,
                            Component[] targets)

### AppearanceDialog

    public AppearanceDialog(Dialog owner,
                            String title,
                            boolean modal,
                            Component[] targets)

Method Detail

### init

    protected void init()

### initLocalData

    protected void initLocalData()

### initGuiComponents

    protected void initGuiComponents()

### initListeners

    protected void initListeners()

### show

    public void show(Component[] targets)

### setUIDefaults

    protected static void setUIDefaults(Object[] keys,
                                        Object value)

### setTextComponentsFont

    public static void setTextComponentsFont(Font textComponentsFont)

  Updates the Swing defaults table with the provided font to be used for the text components

### setMenuComponentsFont

    public static void setMenuComponentsFont(Font menuComponentsFont)

  Updates the Swing defaults table with the provided font to be used for the menu components

### setComponentsFont

    public static void setComponentsFont(Font componentsFont)

  Updates the Swing defaults table with the provided font to be used for various compoents that neither text or menu components

### main

    public static void main(String[] args)

  Test code